Bug 113310 - error connecting to RHN
error connecting to RHN
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 08:52 EST by raxet
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 08:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description raxet 2004-01-12 08:52:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
Exception type exceptions.StopIteration

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 458, in refresh
    self.model.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 374, in
refresh
    self.__rpmdb__.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpm.py", line 149, in refresh
    all_packages = self.__find_by_iter("match", 0)
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpm.py", line 104, in
__find_by_iter
    h = iterator.next()
StopIteration


Version-Release number of selected component (if applicable):
rhn-applet-2.1.5-1

How reproducible:
Always

Steps to Reproduce:
1. wait long enough 
2. error connecting to RHN
3.
    

Actual Results:  no access

Expected Results:  access

Additional info:
Comment 1 Daniel Veillard 2004-01-12 09:45:33 EST
This bug report does not make sense. If you use Fedora Core
you *cannot* use RHN backend. so the step 2
  "Error connecting to RHN"
should never occur. You probably have a configuration error.

Daniel
Comment 2 raxet 2004-01-15 20:41:35 EST
In what configuration file would you suggest I go hunting? It was
working prior to install of this rhn-applet. IOW, I should even have
rhn-applet running in Fedora Core?? Confused here
Comment 3 Daniel Veillard 2004-01-16 05:38:52 EST
Seems there is a lot of confusion ....
Assuming your box is actually running Fedora Core:

> In what configuration file would you suggest I go hunting?

both rhn-applet and up2date use
/etc/sysconfig/rhn/sources
to indicate the sources of updates. You should only see
yum sources uncommented 

> It was working prior to install of this rhn-applet.

 So is the bug related to rhn_applet or something else ?
What is "it" ? How did you manage to have a Fedora Core installation
without rhn-applet ? How did you "install" rhn-applet ? 
And what version did you install ?

> I should even have rhn-applet running in Fedora Core??

  Yes rhn_applet works in Fedora Core, but using sources which
do not come from RHN services.

   Your report is extremely confusing !

Daniel

Note You need to log in before you can comment on or make changes to this bug.